repo/proj/guru:dev commit in: gui-apps/dankmaterialshell/

"Emi" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786008310.ae9fcd188277ef21234dab2004bf49e8b7fb6f59.reedy.sailors.8t@gentoo>
commit:     ae9fcd188277ef21234dab2004bf49e8b7fb6f59
Author:     Emi <reedy.sailors.8t <AT> icloud <DOT> com>
AuthorDate: Thu Aug  6 09:24:26 2026 +0000
Commit:     Emi <reedy.sailors.8t <AT> icloud <DOT> com>
CommitDate: Thu Aug  6 09:25:10 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ae9fcd18

gui-apps/dankmaterialshell: improve ebuilds

Signed-off-by: Emi <reedy.sailors.8t <AT> icloud.com>

 .../dankmaterialshell-1.4.6-r1.ebuild              |  9 +---
 .../dankmaterialshell-1.5.3.ebuild                 | 10 +----
 .../dankmaterialshell-9999.ebuild                  | 50 ++++++++--------------
 3 files changed, 19 insertions(+), 50 deletions(-)

diff --git a/gui-apps/dankmaterialshell/dankmaterialshell-1.4.6-r1.ebuild b/gui-apps/dankmaterialshell/dankmaterialshell-1.4.6-r1.ebuild
index ecdc86cd96..38bc830042 100644
--- a/gui-apps/dankmaterialshell/dankmaterialshell-1.4.6-r1.ebuild
+++ b/gui-apps/dankmaterialshell/dankmaterialshell-1.4.6-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit desktop optfeature shell-completion systemd tmpfiles xdg-utils
+inherit desktop optfeature shell-completion systemd tmpfiles xdg
 
 DESCRIPTION="Desktop shell for wayland compositors built with Quickshell"
 HOMEPAGE="https://github.com/AvengeMedia/DankMaterialShell"
@@ -108,8 +108,6 @@ pkg_postinst() {
 	if use greeter; then
 		tmpfiles_process dms-greeter.conf
 	fi
-	xdg_desktop_database_update
-	xdg_icon_cache_update
 
 	optfeature_header "Optional programs for extra features:"
 	optfeature "Audio visualizer" media-sound/cava
@@ -129,8 +127,3 @@ pkg_postinst() {
 		elog "  \$ systemctl enable --now greetd.service"
 	fi
 }
-
-pkg_postrm() {
-	xdg_desktop_database_update
-	xdg_icon_cache_update
-}

diff --git a/gui-apps/dankmaterialshell/dankmaterialshell-1.5.3.ebuild b/gui-apps/dankmaterialshell/dankmaterialshell-1.5.3.ebuild
index 52cbc8052f..1e5ead9533 100644
--- a/gui-apps/dankmaterialshell/dankmaterialshell-1.5.3.ebuild
+++ b/gui-apps/dankmaterialshell/dankmaterialshell-1.5.3.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit desktop optfeature shell-completion systemd xdg-utils
+inherit desktop optfeature shell-completion systemd xdg
 
 DESCRIPTION="Desktop shell for wayland compositors built with Quickshell"
 HOMEPAGE="https://github.com/AvengeMedia/DankMaterialShell"
@@ -85,9 +85,6 @@ src_install() {
 }
 
 pkg_postinst() {
-	xdg_desktop_database_update
-	xdg_icon_cache_update
-
 	optfeature_header "Optional programs for extra features:"
 	optfeature "Audio visualizer" media-sound/cava
 	optfeature "I2C monitor brightness control" app-misc/ddcutil
@@ -99,8 +96,3 @@ pkg_postinst() {
 	optfeature "Wallpaper based colorscheme" x11-misc/matugen
 	optfeature "Wifi & Ethernet connection" net-misc/networkmanager
 }
-
-pkg_postrm() {
-	xdg_desktop_database_update
-	xdg_icon_cache_update
-}

diff --git a/gui-apps/dankmaterialshell/dankmaterialshell-9999.ebuild b/gui-apps/dankmaterialshell/dankmaterialshell-9999.ebuild
index 6d5c26655e..d5ad01f461 100644
--- a/gui-apps/dankmaterialshell/dankmaterialshell-9999.ebuild
+++ b/gui-apps/dankmaterialshell/dankmaterialshell-9999.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit desktop optfeature shell-completion systemd xdg-utils go-module
+inherit desktop optfeature shell-completion systemd xdg go-module
 
 DESCRIPTION="Desktop shell for wayland compositors built with Quickshell"
 HOMEPAGE="https://github.com/AvengeMedia/DankMaterialShell"
@@ -11,6 +11,11 @@ HOMEPAGE="https://github.com/AvengeMedia/DankMaterialShell"
 inherit git-r3
 EGIT_REPO_URI="https://github.com/AvengeMedia/DankMaterialShell.git"
 
+MAIN_DIR="${S}" # git root
+S="${S}/core" # dms cli
+QML_DIR="${MAIN_DIR}"/quickshell # qml assets location
+PATCHES=("${FILESDIR}"/"${PN}-1.5.3-no-strip.patch")
+
 LICENSE="MIT"
 SLOT="0"
 IUSE="cups"
@@ -38,63 +43,47 @@ BDEPEND="
 	dev-util/pkgconf
 "
 
-# set variables
-QML_DIR="${S}"/quickshell # qml assets location
-CLI_DIR="${S}"/core
-
 src_unpack() {
 	git-r3_src_unpack
-	cd "${CLI_DIR}"
-	ego mod vendor
-	rm "${QML_DIR}"/DankCommon
-	cp -r "${S}"/dank-qml-common/DankCommon "${QML_DIR}"/DankCommon
-}
-
-src_prepare() {
-	default
-	cd "${CLI_DIR}"
-	eapply "${FILESDIR}"/"${PN}-1.5.3-no-strip.patch"
+	go-module_live_vendor
+	rm "${QML_DIR}"/DankCommon || die "failed to delete symlink to DankCommon"
+	cp -r "${MAIN_DIR}"/dank-qml-common/DankCommon "${QML_DIR}"/DankCommon || die "failed to copy DankCommon dir"
 }
 
 src_configure() {
-	cd "${CLI_DIR}"
 	default
 }
 
 src_compile() {
-	cd "${CLI_DIR}"
 	# build dms distro binary
 	emake VERSION="${PV}" DIST_OSES="linux" dist
 
 	# generate shell completions
-	"${CLI_DIR}"/bin/dms-linux-"${ARCH}" completion bash > "${CLI_DIR}"/dms-bashcomp
-	"${CLI_DIR}"/bin/dms-linux-"${ARCH}" completion zsh > "${CLI_DIR}"/dms-zshcomp
+	"${S}"/bin/dms-linux-"${ARCH}" completion bash > "${S}"/dms-bashcomp
+	"${S}"/bin/dms-linux-"${ARCH}" completion zsh > "${S}"/dms-zshcomp
 }
 
 src_install() {
 	# install dms binary
-	newbin "${CLI_DIR}"/bin/dms-linux-"${ARCH}" dms
+	newbin "${S}"/bin/dms-linux-"${ARCH}" dms
 
 	# install qml sources at /usr/share/quickshell/dms
 	insinto /usr/share/quickshell/dms
 	doins -r "${QML_DIR}/."
 
 	# install shell completions
-	newbashcomp "${CLI_DIR}"/dms-bashcomp dms
-	newzshcomp "${CLI_DIR}"/dms-zshcomp _dms
+	newbashcomp "${S}"/dms-bashcomp dms
+	newzshcomp "${S}"/dms-zshcomp _dms
 
 	# systemd unit
-	systemd_douserunit "${S}"/assets/systemd/dms.service
+	systemd_douserunit "${MAIN_DIR}"/assets/systemd/dms.service
 
 	# desktop entry and icon
-	domenu "${S}"/assets/dms-open.desktop
-	doicon -s scalable "${S}"/assets/danklogo.svg
+	domenu "${MAIN_DIR}"/assets/dms-open.desktop
+	doicon -s scalable "${MAIN_DIR}"/assets/danklogo.svg
 }
 
 pkg_postinst() {
-	xdg_desktop_database_update
-	xdg_icon_cache_update
-
 	optfeature_header "Optional programs for extra features:"
 	optfeature "Audio visualizer" media-sound/cava
 	optfeature "I2C monitor brightness control" app-misc/ddcutil
@@ -106,8 +95,3 @@ pkg_postinst() {
 	optfeature "Wallpaper based colorscheme" x11-misc/matugen
 	optfeature "Wifi & Ethernet connection" net-misc/networkmanager
 }
-
-pkg_postrm() {
-	xdg_desktop_database_update
-	xdg_icon_cache_update
-}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.